import request from '@/utils/request'


export function getAIRenderRules(data) {
    return request({
        url: '/getAIRenderRules',
        method: 'post',
        data
    })
}

export function getVoluntaryConfig(params) {
    return request({
        url: '/getVoluntaryConfig',
        method: 'get',
        params
    })
}

export function getVoluntary(params) {
    return request({
        url: '/getVoluntary',
        method: 'get',
        params
    })
}

export function getVoluntaryList(params) {
    return request({
        url: '/getVoluntaryList',
        method: 'get',
        params
    })
}

export function postAIResult(data) {
    return request({
        url: '/postAIResult',
        method: 'post',
        data
    })
}

export function postMultipleResult(data) {
    return request({
        url: '/postMultipleResult',
        method: 'post',
        data
    })
}

export function postSingleResult(data) {
    return request({
        url: '/postSingleResult',
        method: 'post',
        data
    })
}

export function postCalculateResult(data) {
    return request({
        url: '/postCalculateResult',
        method: 'post',
        data
    })
}

export function submitVoluntary(data) {
    return request({
        url: '/submitVoluntary',
        method: 'post',
        data
    })
}

export function removeVoluntary(id) {
    return request({
        url: '/removeVoluntary/' + id,
        method: 'delete'
    })
}